Bug 849588 - [abrt] gdb-7.4.91.20120801-17.fc18: gdb_bfd_unref: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.4.91.20120801-17.fc18: gdb_bfd_unref: Process /usr/bin/gdb was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:c71053b13b95b9d875fe4cd1fd5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 05:41 EDT by Stef Walter
Modified: 2015-02-17 09:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.50 KB, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details
File: environ (3.08 KB, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details
File: limits (1.29 KB, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details
File: backtrace (14.95 KB, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details
File: cgroup (127 bytes, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details
File: maps (40.22 KB, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details
File: dso_list (10.51 KB, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details
File: open_fds (174 bytes, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details
File: var_log_messages (301 bytes, text/plain)
2012-08-20 05:41 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-08-20 05:41:21 EDT
Description of problem:


Version-Release number of selected component:
gdb-7.4.91.20120801-17.fc18

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
backtrace_rating: 4
cmdline:        gdb -q -nw -i mi -tty /dev/pts/2 --cd=/data/projects/gcr --command=.gdbinit /data/projects/gcr/gcr/tests/.libs/test-system-prompt
crash_function: gdb_bfd_unref
kernel:         3.3.4-5.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 gdb_bfd_unref at ../../gdb/gdb_bfd.c
: #1 exec_close at ../../gdb/exec.c
: #2 exec_close_1 at ../../gdb/exec.c
: #3 target_close at ../../gdb/target.c
: #4 pop_all_targets_above at ../../gdb/target.c
: #5 quit_target at ../../gdb/top.c
: #6 catch_errors at ../../gdb/exceptions.c
: #7 quit_force at ../../gdb/top.c
: #9 _bfd_dwarf2_cleanup_debug_info at ../../bfd/dwarf2.c
: #10 _bfd_elf_close_and_cleanup at ../../bfd/elf.c
Comment 1 Stef Walter 2012-08-20 05:41:24 EDT
Created attachment 605626 [details]
File: core_backtrace
Comment 2 Stef Walter 2012-08-20 05:41:26 EDT
Created attachment 605627 [details]
File: environ
Comment 3 Stef Walter 2012-08-20 05:41:28 EDT
Created attachment 605629 [details]
File: limits
Comment 4 Stef Walter 2012-08-20 05:41:30 EDT
Created attachment 605630 [details]
File: backtrace
Comment 5 Stef Walter 2012-08-20 05:41:32 EDT
Created attachment 605631 [details]
File: cgroup
Comment 6 Stef Walter 2012-08-20 05:41:36 EDT
Created attachment 605632 [details]
File: maps
Comment 7 Stef Walter 2012-08-20 05:41:38 EDT
Created attachment 605633 [details]
File: dso_list
Comment 8 Stef Walter 2012-08-20 05:41:40 EDT
Created attachment 605634 [details]
File: open_fds
Comment 9 Stef Walter 2012-08-20 05:41:42 EDT
Created attachment 605635 [details]
File: var_log_messages
Comment 10 Tom Tromey 2012-08-21 21:52:14 EDT
From frames #7 and #8 I see that SIGTERM was delivered to gdb.
Then gdb crashed trying to process it.
I think the gdb SIGTERM handling is just broken.
In the signal handler it tries to parse and evaluate an expression,
kill inferiors, pop the target, and other things besides.
It is hard to imagine that all this is safe to do at any
arbitrary point inside gdb.
Comment 11 Fedora End Of Life 2013-04-03 11:08:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 Fedora End Of Life 2015-01-09 12:19:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 09:25:29 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.